#!/bin/bash
# Gets the last stellarium screenshot from $HOME and converts it to 
# png, putting the result in the next numbered screen shot file in 
# the current directory. -MNG
#
# $Log$
# Revision 1.2  2006/02/09 16:44:49  matthewg42
# Comment typo fix
#

last_ss=$(ls -tr ~/stellarium*.bmp |tail -n 1)
if [ ! -f "$last_ss" ]; then
    echo "No screenshots to get"
    exit 1
else
    echo -n "Getting $last_ss..."
    last_png=$(ls [0-9][0-9][0-9].png |sort |tail -n 1)
    if [ ! -f "$last_png" ]; then
	last_png=000.png
    fi
    last_png_num=${last_png%.png}
    new_png=$(printf "%03d.png" $((last_png_num + 1)))
    echo " as $new_png"
    if [ -f "$new_png" ]; then
	echo "WARNING - $new_png already exists... doing nothing"
	exit 2
    fi
    
    bmptopnm "$last_ss" |pnmtopng > "$new_png"
    ls -l "$new_png"
fi
