#!/bin/bash
# 
# Takes the name of the html directory as a parameter
# fixes the degree symbol in html files in that directory and
# all sub-directories of that directory.
#
# also zap WIDTH and HEIGHT nonsense for tables and so on


if [ $# -le 0 ] || [ "$1" = "--help" ] || [ "$1" = "-h" ]; then
	echo "usage: ${0##*/} html_dir"
	exit 1
fi

cd "$1"
find . -type f -name \*.html |while read f; do 
    sed -e 's/\^\&cir\#circ;/\&deg;/g' \
	-e 's/WIDTH=[0-9]*//g' \
	-e 's/HEIGHT=[0-9]*//g' \
	-e 's/stellarium_user_guide.html//g' \
	"$f" > "$f.degpatch"
    mv -f "$f.degpatch" "$f"
done


